## pybrowsers 0.6.0

=== Makefile ===
.PHONY: install
install:
	pip3 install -U pip setuptools poetry
	poetry install

.PHONY: install-actions
install-actions:
	pip3 install pip setuptools poetry
	poetry config virtualenvs.create false
	poetry install

.PHONY: format
format:
	poetry run autoflake --remove-all-unused-imports --in-place -r --exclude __init__.py .
	poetry run isort .
	poetry run black .

.PHONY: lint
lint:
	poetry run autoflake --remove-all-unused-imports --in-place -r --exclude __init__.py --check .
	poetry run isort --check-only .
	poetry run black --check .
	poetry run pflake8 .
	poetry run mypy tests browsers

.PHONY: test
test:
	poetry run pytest

.PHONY: tag
tag:
	VERSION=`poetry version | grep -o -E "\d+\.\d+\.\d+(-\w+\.\d+)?"`; \
	git tag -s -a $$VERSION -m "Release $$VERSION"; \
	echo "Tagged $$VERSION";

=== debian/changelog ===
pybrowsers (0.6.0-1ubuntu1) plucky; urgency=medium

  * Drop the test dependencies and disable tests; in Ubuntu this would mean
    testing the Firefox snap, which must not block proposed migration.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 04 Mar 2025 11:57:49 -0600

pybrowsers (0.6.0-1) unstable; urgency=medium

  * Use firefox-esr instead of firefox for tests since the latter is not
    in testing
  * New upstream version 0.6.0
  * Bump standards version to 4.7.0

 -- Ananthu C V <weepingclown@disroot.org>  Sun, 12 May 2024 22:57:02 +0530

pybrowsers (0.5.2-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload.

 -- Emmanuel Arias <eamanu@debian.org>  Mon, 22 Apr 2024 13:05:23 -0300

pybrowsers (0.5.2-1) unstable; urgency=low

  * Initial release (Closes: 1067452)

 -- Ananthu C V <weepingclown@disroot.org>  Thu, 21 Mar 2024 15:53:26 +0000

=== debian/control ===
Source: pybrowsers
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Ananthu C V <weepingclown@disroot.org>
Build-Depends: debhelper-compat (= 13),
               pybuild-plugin-pyproject,
               python3-all,
               python3-poetry-core,
               python3-xdg
Standards-Version: 4.7.0
Testsuite: autopkgtest-pkg-pybuild
Homepage: https://github.com/roniemartinez/browsers
Vcs-Git: https://salsa.debian.org/python-team/packages/pybrowsers.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pybrowsers
Rules-Requires-Root: no

Package: python3-pybrowsers
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python library for detecting and launching browsers
 Convenient browser detection and launch script in Python. It can
 launch and get browser by version with wildcard support.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=pybrowsers
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:

=== debian/watch ===
version=4
opts="pgpmode=none, filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/roniemartinez/browsers/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
